cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Observer
Observer
885 Views
Registered: ‎04-14-2020

Can Python 3.6 be installed in PetaLinux?

Jump to solution

I am using PetaLinux 2019.2 on a Zynq Eval Board (ZC702).  This version of PetaLinux appears to include a recipe for Python 2.7.15.  Is there a method for adding in a newer version of Python such as 3.6?

Tags (3)
0 Kudos
Reply
1 Solution

Accepted Solutions
Xilinx Employee
Xilinx Employee
868 Views
Registered: ‎09-17-2019

Hi @wfrederi,

No, you can not upgrade the current python version of petalinux 2019.2.
Please refer to ug1144 for more information. There we have mentioned the current compatible version.

https://www.xilinx.com/support/documentation/sw_manuals/xilinx2019_2/ug1144-petalinux-tools-reference-guide.pdf

Thanks and Regards,

Shubhangi

 

View solution in original post

0 Kudos
Reply
3 Replies
Xilinx Employee
Xilinx Employee
869 Views
Registered: ‎09-17-2019

Hi @wfrederi,

No, you can not upgrade the current python version of petalinux 2019.2.
Please refer to ug1144 for more information. There we have mentioned the current compatible version.

https://www.xilinx.com/support/documentation/sw_manuals/xilinx2019_2/ug1144-petalinux-tools-reference-guide.pdf

Thanks and Regards,

Shubhangi

 

View solution in original post

0 Kudos
Reply
Observer
Observer
782 Views
Registered: ‎04-14-2020

When I looked through some of the components of the rootfs (via petalinux-config -c rootfs), I ran across python3 components (under File System Packages->misc).  After including all of these python3 components, it appears that it installs Python 3.5.6 into the rootfs.  It still includes Python 2.7.15 via the python command (installed in the rootfs with all of the File System Packages->devel->python components), but also provides Python 3.5.6 with the python3 command.  While this isn't 3.6, it's still closer to what I was hoping for.

Were you assuming that my question was asking about the Python version required for the PetaLinux install?  My intention was to ask what versions of Python can be included in the images built under PetaLinux.  It appears that I now have that answer.

Xilinx Employee
Xilinx Employee
764 Views
Registered: ‎09-17-2019

Hi @wfrederi,

Glad to know that you got the answer for your query and yes from your initial query  I  thought you were asking about python required for install.  

Thanks & Regards,

Shubhangi 

0 Kudos
Reply